include:
  - bootupd.yaml
  # Workaround for https://bugzilla.redhat.com/show_bug.cgi?id=2305291
  - grub2-workaround.yaml
ref: fedora/stable/${basearch}/iot
repos: []
selinux: true
ima: true
tmp-is-dir: true
recommends: false
documentation: false
automatic_version_prefix: '41'
mutate-os-release: '41'
initramfs-args:
- "--no-hostonly"
- "--add"
- ignition watchdog
boot_location: modules
  # Keep this in sync with treecompose-post.sh
install-langs:
- pt_BR
- fr
- fr_FR
- de
- de_DE
- it
- it_IT
- ru
- ru_RU
- es
- es_ES
- en_US
- zh_CN
- ja
- ja_JP
- ko
- ko_KR
- zh_TW
- as
- as_IN
- bn
- bn_IN
- gu
- gu_IN
- hi
- hi_IN
- kn
- kn_IN
- ml
- ml_IN
- mr
- mr_IN
- or
- or_IN
- pa
- pa_IN
- ta
- ta_IN
- te
- te_IN
postprocess-script: treecompose-post.sh
etc-group-members:
- wheel
- docker
ignore-removed-users:
- root
ignore-removed-groups:
- root
check-passwd:
  type: file
  filename: passwd
check-groups:
  type: file
  filename: group
packages:
- fedora-release-iot
- aardvark-dns
- atheros-firmware
- attr
- authselect
- basesystem
- bash
- bash-completion
- bootc
- brcmfmac-firmware
- chrony
- clevis
- clevis-dracut
- clevis-luks
- clevis-pin-tpm2
- container-selinux
- containernetworking-plugins
- coreutils
- cracklib-dicts
- criu
- criu-libs
- cryptsetup
- curl
- dbus-parsec
- dnf5
- dnf5-plugins
- dosfstools
- dracut-config-generic
- dracut-network
- e2fsprogs
- efibootmgr
- fdo-client
- firewalld
- fwupd
- fwupd-efi
- fwupd-plugin-modem-manager
- fwupd-plugin-uefi-capsule-data
- glibc
- glibc-minimal-langpack
- gnupg2
- greenboot
- greenboot-default-health-checks
- gzip
- hostname
- ignition
- ima-evm-utils
- iproute
- iputils
- iwd
- iwlwifi-mvm-firmware
- kernel
- kernel-tools
- keyutils
- less
- libsss_sudo
- linux-firmware
- lvm2
- netavark
- NetworkManager
- NetworkManager-wifi
- NetworkManager-wwan
- nss-altfiles
- openssl
- openssh-clients
- openssh-server
- passt
- passt-selinux
- parsec
- pinentry
- podman
- policycoreutils
- policycoreutils-python-utils
- polkit
- procps-ng
- realtek-firmware
- rootfiles
- rpm
- screen
- selinux-policy-targeted
- setools-console
- setup
- shadow-utils
- skopeo
- slirp4netns
- sssd-client
- sudo
- systemd
- systemd-resolved
- tar
- tmux
- tpm2-pkcs11
- traceroute
- usbguard
- util-linux
- vim-minimal
- wpa_supplicant
- wireless-regdb
- xfsprogs
- xz
- zezere-ignition
- zram-generator
- zram-generator-defaults
packages-aarch64:
- arm-image-installer
- bcm283x-firmware
- grub2-efi-aa64
- optee_client
- shim-aa64
- uboot-images-armv8
packages-x86_64:
- grub2-efi-x64
- microcode_ctl
- shim-x64
default_target: multi-user.target
units:
- NetworkManager.service
- fdo-client-linuxapp.service
- fedora-iot-config-remote-fix.service
- firewalld.service
- sshd.service
- greenboot-grub2-set-counter.service
- greenboot-grub2-set-success.service
- greenboot-healthcheck.service
- greenboot-rpm-ostree-grub2-check-fallback.service
- greenboot-status.service
- greenboot-task-runner.service
- parsec.service
- dbus-parsec.service
- zezere_ignition.timer
- zezere_ignition_banner.service
